#ifndef ABSTRACTCOMPOSITE_H_
#define ABSTRACTCOMPOSITE_H_

#include <vector>

#include "AbstractComponent.h"

class AbstractComposite : public AbstractComponent{
public:
	AbstractComposite();
	AbstractComponent* getBiker(int index);
	void addChild(AbstractComponent* child);
	void removeChild(AbstractComponent* child);
	void changeNotification();
	int countBikers();
private:
	std::vector<AbstractComponent*> children;
	int bikerCount;
};

#endif
