#include <iostream> 
#include <vector>

#include "AbstractComposite.h"
#include "BikerRally.h"
#include "Biker.h"
#include "BikerGang.h"

int main(){
	std::cout<<"main: START\n";

	AbstractComposite* bikerRally = new BikerRally();
		
	for(int i =0; i<20; i++){
		AbstractComponent* child = new Biker();
		bikerRally->addChild(child);
	}
	  
	for(int i =0; i<10; i++){
		BikerGang* bikerGang = new BikerGang();
		for(int j =0; j<5; j++){
		AbstractComponent* child = new Biker();
		bikerGang->addChild(child);   
		}
		bikerRally->addChild(bikerGang);
	}
	
	std::cout<<bikerRally->countBikers()<<std::endl;
	std::cout<<"main: END\n";
	return 0 ;
}
